Loading...
Searching...
No Matches
sha512.h File Reference
libavutil » Crypto and Hashing » Hash Functions » SHA-512

Public header for SHA-512 implementation. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVSHA512 * | av_sha512_alloc (void)
| Allocate an AVSHA512 context.
int | av_sha512_init (struct AVSHA512 *context, int bits)
| Initialize SHA-2 512 hashing.
void | av_sha512_update (struct AVSHA512 *context, const uint8_t *data, size_t len)
| Update hash value.
void | av_sha512_final (struct AVSHA512 *context, uint8_t *digest)
| Finish hashing and output digest value.

## Variables

const int | av_sha512_size

## Detailed Description

Public header for SHA-512 implementation.

Definition in file sha512.h.